Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.rules
Class JboNonNullValidator

`java.lang.Object
oracle.jbo.rules.JboNonNullValidator`

All Implemented Interfaces:
  JboValidatorInterface

Direct Known Subclasses:
  JboMandatoryAttributesValidator

public class JboNonNullValidator
extends java.lang.Object
implements JboValidatorInterface

Implements non-null validation for mandatory attributes. This validation rule is applied by the framework to an Entity Object that has the mandatory flag set for any of its an attributes. The method `isMandatory()` identifies manditory attributes.

This validator is invoked by an Entity Objects's `validate()` method to confirm that its mandatory attributes are non-null. If any attribute is `null`, `AttrValException` is thrown. The framework does not perform this validation when an attribute value is changed, but only when its Enitity Object is validated.

Since:
  JDeveloper 3.0
See Also:
  `Entity`, `EntityDefImpl`

Field Summary
`protected AttributeDef[]` | `mandatoryAttrs`
`protected java.lang.String` | `mDescription`

Constructor Summary
`JboNonNullValidator(com.sun.java.util.collections.ArrayList vec)` Creates a validator from a list of attribute indices.

Method Summary
`java.lang.String` | `getDescription()` Gets the description of this validator.
`void` | `setDescription(java.lang.String description)` Sets the description of this validator.
`java.lang.String` | `toString()` Internal: Applications should not use this method.
`void` | `validate(JboValidatorContext evObj)` Validates the Entity Object's mandatory attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mandatoryAttrs

    protected transient AttributeDef[] mandatoryAttrs

### mDescription

    protected java.lang.String mDescription

Constructor Detail

### JboNonNullValidator

    public JboNonNullValidator(com.sun.java.util.collections.ArrayList vec)

  Creates a validator from a list of attribute indices.
Parameters:
  `vec` - a list of indices for attributes to be considered manditory.

Method Detail

### validate

    public void validate(JboValidatorContext evObj)

  Validates the Entity Object's mandatory attributes.
  Specified by:
    `validate` in interface `JboValidatorInterface`
  Parameters:
    `evObj` - an event indicating the attributes to be validatated.
  Throws:
    `JboException` - if any attributes are found to be `null`.

### toString

    public java.lang.String toString()

  Internal: Applications should not use this method.

### getDescription

    public java.lang.String getDescription()

  Gets the description of this validator.
  Specified by:
    `getDescription` in interface `JboValidatorInterface`
  Returns:
    a documentation string.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of this validator.
  Specified by:
    `setDescription` in interface `JboValidatorInterface`
  Parameters:
    `description` - a documentation string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.